%define name perl-String-ShellQuote
%define version 1.00
%define release 3mdk

Summary: Perl String::ShellQuote - quote strings for passing through the shell
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL or Artistic
Group: Development/Perl
Source: http://www.perl.com/CPAN-local/authors/id/R/RO/ROSCH/String-ShellQuote-%{version}.tar.bz2
URL: http://www.cpan.org/modules/by-module/URI/ROSCH/String-ShellQuote-1.00.readme
BuildRequires: perl-devel
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: perl-base = 5.601
Prefix: %{_prefix}

%description
This module contains some functions which are useful for quoting strings
which are going to pass through the shell or a shell-like object.

%prep
%setup -q -n String-ShellQuote-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{prefix}
%make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{prefix}
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT%{prefix}

%files
%defattr(-,root,root)
%doc README
%{_libdir}/perl5/man/*/*
%{_libdir}/perl5/site_perl/*/*/*.pm

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Feb 22 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.00-3mdk
- add dependency on perl with version
- fix no-url-tag

* Mon Oct 15 2001 Stefan van der Eijk <stefan@eijk.nu> 1.00-2mdk
- BuildRequires: perl-devel

* Fri Sep 28 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.00-1mdk
- first Mandrake RPM
